asn1_der_coding(3)

NAME
asn1_der_coding - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_der_coding(asn1_node element, const char * name, void * ider, int * len, char * ErrorDescription);

ARGUMENTS

asn1_node element
    pointer to an ASN1 element

const char * name
    the name of the structure you want to encode (it must be inside *POINTER).

void * ider
    vector that will contain the DER encoding. DER must be a pointer to memory cells already allocated.

int * len
    number of bytes of * ider : ider [0].. ider [len-1], Initialy holds the sizeof of der vector.

char * ErrorDescription
    return the error description or an empty string if success.

DESCRIPTION
Creates the DER encoding for the NAME structure (inside *POINTER structure).

RETURNS
ASN1_SUCCESS if DER encoding OK, ASN1_ELEMENT_NOT_FOUND if name is not a valid element, ASN1_VALUE_NOT_FOUND if there is an element without a value, ASN1_MEM_ERROR if the ider vector isn't big enough and in this case len will contain the length needed.

COPYRIGHT
Copyright © 2006-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/